%define major 4
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d


Name:           gnucobol
Version:        3.2
Release:        %mkrel 1
Summary:        A free and open COBOL compiler
License:        GPL-3.0+ and LGPL-3.0+
Group:          Development/Tools
URL:            https://savannah.gnu.org/projects/gnucobol
Source0:        https://ftp.gnu.org/gnu/gnucobol/gnucobol-%{version}.tar.xz
BuildRequires:  %{_lib}db5.3-devel
BuildRequires:  gmp-devel
BuildRequires:  help2man
BuildRequires:  texinfo
BuildRequires:  ncurses-devel
Provides:       opencobol open-cobol gnu-cobol

%description
GNU Cobol (formerly OpenCOBOL) is a free COBOL compiler.
cobc translates COBOL to executable using intermediate C sources,
providing full access to nearly all C libraries.

%package -n %libname
Summary:        GNU COBOL shared library
License:        LGPL-3.0+
Group:          System/Libraries
Provides: libcob

%description -n %libname
GNU Cobol (formerly OpenCOBOL) is a free COBOL compiler.
cobc translates COBOL to executable using intermediate C sources,
providing full access to nearly all C libraries.

%package -n %develname
Summary:        Include files for GNU COBOL shared library
License:        LGPL-3.0+
Group:          Development/Libraries
Requires:       %libname = %{version}
Provides: libcob-devel

%description -n %develname
GNU Cobol (formerly OpenCOBOL) is a free COBOL compiler.
cobc translates COBOL to executable using intermediate C sources,
providing full access to nearly all C libraries.

%prep
%setup -q -n gnucobol-%{version}


%build
./configure --prefix=/usr \
 --libdir=/usr/lib64 \
 --enable-static=no \
 --disable-rpath


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std


%find_lang gnucobol

rm %{buildroot}/%{_libdir}/libcob.la


%files -f gnucobol.lang
%defattr (-,root,root,-)
%doc ABOUT-NLS AUTHORS COPYING COPYING.DOC ChangeLog NEWS README THANKS TODO
%{_bindir}/cob-config
%{_bindir}/cobc
%{_bindir}/cobcrun
%{_datadir}/gnucobol
%{_infodir}/gnucobol.info*
%{_libdir}/gnucobol
%{_mandir}

%files -n %libname
%doc COPYING.LESSER
%{_libdir}/libcob.so.*

%files -n %develname
%{_includedir}/libcob.h
%{_includedir}/libcob
%{_libdir}/libcob.so

%changelog
* Fri Aug 18 2023 tex - 3.2-1pclos2023
- new version

* Fri May 11 2018 bb2 <bb2> - 2.2-2pclos2018
- fix library package format

* Tue May 01 2018 Ken <lxgator at gmail.com> 2.2-1pclos2018
- create pkg 
